Bug 730519 (CVE-2011-0084) - CVE-2011-0084 Mozilla: Crash in SVGTextElement.getCharNumAtPosition()
Summary: CVE-2011-0084 Mozilla: Crash in SVGTextElement.getCharNumAtPosition()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0084
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 04:15 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 17:01:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1164 normal SHIPPED_LIVE Critical: firefox security update 2011-08-16 18:44:56 UTC
Red Hat Product Errata RHSA-2011:1166 normal SHIPPED_LIVE Critical: thunderbird security update 2011-08-16 18:33:47 UTC

Description Huzaifa S. Sidhpurwala 2011-08-14 04:15:33 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day Initiative that a SVG text manipulation routine contained a dangling pointer vulnerability.

Comment 1 Vincent Danen 2011-08-16 17:34:39 UTC
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-30.html

Comment 2 errata-xmlrpc 2011-08-16 18:33:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1166 https://rhn.redhat.com/errata/RHSA-2011-1166.html

Comment 3 errata-xmlrpc 2011-08-16 18:45:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1164 https://rhn.redhat.com/errata/RHSA-2011-1164.html


Note You need to log in before you can comment on or make changes to this bug.